// Copyright 2004-2005, FreeHEP.
package hep.wired.heprep.feature;

import hep.wired.services.Feature;

import java.util.Set;

/**
 * 
 * @author Mark Donszelmann
 * @version $Id: NamedVariables.java 8598 2006-08-14 20:38:02Z duns $
 */

public interface NamedVariables extends Feature {

    public boolean exists(String name);

    public Set getVariableNames();

    public double getDoubleVariable(String name);

    public int getIntegerVariable(String name);

    public boolean getBooleanVariable(String name);

    public void setVariable(String name, double value);

    public void setVariable(String name, int value);

    public void setVariable(String name, boolean value);

    public void multiplyVariable(String name, double factor);

    public void multiplyVariable(String name, int factor);

    public void addVariable(String name, double factor);

    public void addVariable(String name, int factor);
}
