// Copyright 2005-2006, FreeHEP.
package hep.wired.heprep.interaction;

import hep.wired.heprep.graphicspanel.ControlPanel;
import hep.wired.image.WiredBaseImage;

import javax.swing.Icon;

/**
 * 
 * @author Mark Donszelmann
 * @version $Id: Cuts.java 8598 2006-08-14 20:38:02Z duns $
 */
public class Cuts extends RoutingInteractionHandler {

    private static Cuts instance;

    private CutPanel panel;

    private Cuts() {
        super("Cuts");
        panel = new CutPanel();

        // FIXME, NPE when this is not called.
        panel.setInteractionHandler(null);
    }

    public static Cuts getInstance() {
        if (instance == null) {
            instance = new Cuts();
        }
        return instance;
    }

    public Icon getIcon(int size) {
        return WiredBaseImage.getIcon("FIXME%w", size);
    }

    public String getDescription() {
        return "Applying Cuts.";
    }

    public ControlPanel getPanel() {
        return panel;
    }

    public String toString() {
        return "Cuts";
    }
}
