// Copyright 2005-2006, FreeHEP.
package hep.wired.heprep.interaction;

import hep.wired.heprep.graphicspanel.ControlPanel;
import hep.wired.image.WiredBaseImage;

import javax.swing.Icon;

/**
 * 
 * @author Mark Donszelmann
 * @version $Id: Variables.java 8598 2006-08-14 20:38:02Z duns $
 */
public class Variables extends RoutingInteractionHandler {

    private static Variables instance;

    private VariablePanel panel;

    private Variables() {
        super("Variables");
        panel = new VariablePanel();

        // FIXME, NPE when this is not called.
        panel.setInteractionHandler(null);
    }

    public static Variables getInstance() {
        if (instance == null) {
            instance = new Variables();
        }
        return instance;
    }

    public Icon getIcon(int size) {
        return WiredBaseImage.getIcon("Variable%w", size);
    }

    public String getDescription() {
        return "Changing of variables.";
    }

    public ControlPanel getPanel() {
        return panel;
    }

    public String toString() {
        return "Variables";
    }
}
